package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussUserManageProfit implements Serializable {
    private Integer id;

    private Integer userid;

    private Integer parentid;

    private String rolecode;

    private String levelcode;

    private BigDecimal t2flow;

    private BigDecimal t3flow;

    private BigDecimal t2profit;

    private BigDecimal t3profit;

    private Date createtime;

    private Date profitdate;

    private String profitmonth;

    private String remark;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Integer getParentid() {
        return parentid;
    }

    public void setParentid(Integer parentid) {
        this.parentid = parentid;
    }

    public String getRolecode() {
        return rolecode;
    }

    public void setRolecode(String rolecode) {
        this.rolecode = rolecode == null ? null : rolecode.trim();
    }

    public String getLevelcode() {
        return levelcode;
    }

    public void setLevelcode(String levelcode) {
        this.levelcode = levelcode == null ? null : levelcode.trim();
    }

    public BigDecimal getT2flow() {
        return t2flow;
    }

    public void setT2flow(BigDecimal t2flow) {
        this.t2flow = t2flow;
    }

    public BigDecimal getT3flow() {
        return t3flow;
    }

    public void setT3flow(BigDecimal t3flow) {
        this.t3flow = t3flow;
    }

    public BigDecimal getT2profit() {
        return t2profit;
    }

    public void setT2profit(BigDecimal t2profit) {
        this.t2profit = t2profit;
    }

    public BigDecimal getT3profit() {
        return t3profit;
    }

    public void setT3profit(BigDecimal t3profit) {
        this.t3profit = t3profit;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getProfitdate() {
        return profitdate;
    }

    public void setProfitdate(Date profitdate) {
        this.profitdate = profitdate;
    }

    public String getProfitmonth() {
        return profitmonth;
    }

    public void setProfitmonth(String profitmonth) {
        this.profitmonth = profitmonth == null ? null : profitmonth.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}